# eric4.Helpviewer.HelpTopicDialog

Module implementing a dialog to select a help topic to display.

### Global Attributes

None

### Classes

HelpTopicDialog | Class implementing a dialog to select a help topic to display.

### Functions

None

## HelpTopicDialog

Class implementing a dialog to select a help topic to display.

### Derived from

QDialog, Ui_HelpTopicDialog

### Class Attributes

None

### Class Methods

None

### Methods

HelpTopicDialog | Constructor
link | Public method to the link of the selected topic.

### Static Methods

None

#### HelpTopicDialog (Constructor)

HelpTopicDialog(parent, keyword, links)

Constructor

parent
  reference to the parent widget (QWidget)
keyword
  keyword for the link set (QString)
links
  dictionary with help topic as key (QString) and URL as value (QUrl)

#### HelpTopicDialog.link

link()

Public method to the link of the selected topic.

Returns:
  URL of the selected topic (QUrl)

Up